Copyright: 32-bit version Copyright 1996 Borland International ALL RIGHTS RESERVED


Borland Database Engine Configuration Utility

This is the online guide (including context-sensitive help) for the Borland Database Engine Configuration Utility. You use this utility to configure the Borland Database Engine (BDE), which is the core software in Borland database products and in deployable applications built with Borland tools (BDE applications).

The Borland Database Engine Configuration Utility (BDECFG32.EXE) is a redistributable application that can be used to set up and manage your application's configuration.

The utility is displayed in a visual notebook format, with tabbed “pages” containing the parameters for BDE system configuration, database aliases, database server drivers, and ODBC connectivity. You can choose help at each page to describe the menu commands and task pages. You can also open the Contents or click the button “Other BDE configuration topics” for additional topics providing general guidance about modifying configuration parameters when configuring database drivers.

Note:	Before using this utility to change your BDE configuration file, be sure to close any open BDE applications. Your changes take effect the next time you start your Borland Database Engine application.

 Other BDE configuration topics

 Other BDE online documentation


Saving configuration information

The BDE Configuration Utility can store BDE configuration information in either or both of two places:

•	in the Windows Registry
The Registry includes all driver information, the size of the Swap Buffer (Database Data cache) and various other system information.

•	in the default BDE configuration file (IDAPI.CFG)
The configuration file always contains database aliases and the Paradox NET DIR entry (in the Paradox section). If saved in the Windows 3.1 compatible format (composite 16-/32-bit), it may duplicate some of the System and Driver entries.

Where and how BDE configuration information is stored depends on whether you check the “Configure Win3.1” option in the Options menu. This causes configuration information to be saved in a composite 16-/32-bit format to provide backward compatibility with BDE applications for Windows 3.1.

When you save configuration information with the “Configure Win3.1” option not checked (32-bit format):

•	System and Driver settings are saved to the Registry.  The Registry is always updated if the IDAPI.CFG file is the default.

NOTE: If the IDAPI.CFG file is not the default, the file MUST be saved as a composite 16-/32-bit file.

•	Database settings are saved to the new configuration file (IDAPI.CFG).

•	NET DIR is saved to the new configuration file.

When you save configuration information with the “Configure Win3.1” option checked (composite 16-/32-bit format):

•	Any System and Driver settings existing in the IDAPI.CFG file are written to the new configuration file.

•	All remaining System and Driver settings are written to the Registry.  Entries are saved from their point of origin.

•	Database settings are saved to the new configuration file (IDAPI.CFG).

•	NET DIR is saved to the new configuration file.

The changes take effect the next time you re-start all open BDE applications.

 Other BDE configuration topics


Configuring Microsoft Open Database Connectivity (ODBC)

This section contains sample configuration file blocks to help you understand the procedure for configuring ODBC. First configure the ODBC configuration file, then configure the BDE configuration file to support ODBC.

•	Configuring the ODBC Configuration File

•	Configuring the BDE Configuration File for ODBC

•	ODBC Socket Configuration Entries

•	AutoODBC

 Other BDE configuration topics


Configuring the ODBC configuration file

Two files contain the configuration information for ODBC:

•	The file ODBCINST.INI in the windows directory lists the ODBC drivers.

•	The file ODBC.INI lists the ODBC data sources.

Use the administrative program ODBCADMIN to modify these files. The files are ASCII, but direct user editing is not recommended.

Here is a sample ODBC.INI file:

[ODBC Data Sources]

   My Oracle7=VENDOR Oracle7

   [My Oracle7]

   Driver=C:\windows\system\OR706.DLL

   Description=ODBC Oracle7 Driver

   ServerName=X:ZAPPA

   Servers=

   LogonID=guest

   LockTimeOut=

   ArraySize=

   QEWSD=34480

The first block [ODBC Data Sources] lists the ODBC data sources and their associated drivers. Then, for each data source, there is a block that describes the datasource. One data source [My Oracle7] is shown in the example above.

Here is a sample ODBCINST.INI file (the file that describes the drivers):

[ODBC Drivers]

   VENDOR Oracle7=Installed

[VENDOR Oracle7]

   Driver=C:\ODBC\OR706.DLL

   Setup=C:\ODBC\OR706.DLL

   APILevel=1

   ConnectFunctions=YYY

   DriverODBCVer=02.01

   FileUsage=0

   SQLLevel=1

The first block [ODBC Drivers] lists the installed drivers. The second block is the configuration block for the first installed drivers.

Each datasource in the ODBC.INI file will have an installed driver (for example, VENDOR Oracle7) in the ODBCINST.INI file.

 Other BDE configuration topics

 ODBC configuration


Configuring the BDE configuration file for ODBC

The configuration of BDE (at least as it relates to SQL) is similar to the ODBC configuration. You must specify a series DRIVERS (like the ODBC drivers) and ALIASES (much like the ODBC data sources).

Here is an example showing a Drivers section from the Registry:

ORACLE:

INIT:

VERSION:3.0

TYPE:SERVER

DLL:SQLD_ORA.DLL

DLL32:SQLORA32.DLL

VENDOR INIT:NULL

DRIVER FLAGS:NULL

TRACE MODE=0

DB OPEN:

SERVER NAME:ORA_SERVER

USER NAME:MYNAME

NET PROTOCOL:MYNET PROTOCOL

OPEN MODE:READ/WRITE

SCHEMA CACHE SIZE:8

LANGDRIVER:NULL

SQLQRYMODE:NULL

SQLPASSTHRU MODE: SHARED AUTOCOMMIT

SCHEMA CACHE TIME: -1

MAXROWS: -1

BATCH COUNT: 200

Note that it is this entry ORACLE that gets associated with the aforementioned alias reference to a driver.

Here is an example of a Database Alias section of a BDE configuration file (IDAPI.CFG):

ORACLE7:

DB INFO:

TYPE:ORACLE

PATH:NULL

DB OPEN:

SERVER NAME: ORA_SERVER

USER NAME:MYNAME

NET PROTOCOL:MY NET PROTOCOL

OPEN MODE:READ/WRITE

SCHEMA CACHE SIZE:32

LANGDRIVER:NULL

SQLQRYMODE:NULL

SQLPASSTHRU MODE:NOT SHARED

SCHEMA CACHE TIME:-1

MAXROWS: -1

BATCH COUNT: 200

There are two sub-properties:

•	INFO. The INFO information is used to associate the alias with the correct driver name (see TYPE: ORACLE).

•	OPEN. The OPEN information is used to open the database alias.

 Other BDE configuration topics

 ODBC configuration


ODBC Socket configuration entries

This example shows a Drivers section from the BDE section of the Registry. This section was added manually by using the Borland Database Engine Configuration Utility.

      ODBC_ORA7:

INIT:

VERSION:3.0

TYPE:SERVER

DLL:IDODBC01.DLL

DLL32: IDODBC32.DLL

ODBC DRIVER:VENDOR Oracle7

DRIVER FLAGS:NULL

DB OPEN:

USER NAME:guest

ODBC DSN:My Oracle7

OPEN MODE:READ/WRITE

SCHEMA CACHE SIZE:8

SQLQRYMODE:NULL

LANGDRIVER:NULL

SQLPASSTHRU MODE:NULL

Note that the DLL field for the driver is the ODBC socket .dll, NOT the ODBC .dll. The ODBC .dll is loaded implicitly, when the ODBC socket attempts to connect to a data source. The data source that it tries to open is "My Oracle7" (the DSN entry).

The following example shows a Database Alias section from the BDE configuration file (IDAPI.CFG). This section was added manually by using the Borland Database Engine Configuration Utility (BDECFG32.EXE).

ODBC_ORACLE:

DB INFO:

TYPE:ODBC_ORA7

PATH:NULL

DB OPEN:

USER NAME:guest

ODBC DSN:My Oracle7

OPEN MODE:READ/WRITE

SCHEMA CACHE SIZE:8

SQLQRYMODE:NULL

                        LANGDRIVER:NULL

SQLPASSTHRU MODE:SHARED AUTOCOMMIT

 Other BDE configuration topics

 ODBC configuration


AutoODBC

AutoODBC builds the ODBC socket datasource and driver names automatically for BDE, using the ODBC names from the ODBC configuration files, ODBC.INI and ODBCINST.INI.

Here is an example showing the Registry entries created by AutoODBC referring to the driver (VENDOR Oracle7) and datasource (My Oracle7):

My Oracle7:

DB INFO:

TYPE:VENDOR Oracle7

PATH:NULL

DB OPEN:

USER NAME:guest

ODBC DSN:My Oracle7

OPEN MODE:READ/WRITE

SCHEMA CACHE SIZE:8

SQLQRYMODE:NULL

SQLPASSTHRU MODE:SHARED AUTOCOMMIT

VENDOR Oracle7:

INIT:

VERSION:3.0

TYPE:SERVER

DLL:IDODBC01.DLL

DLL32:IDODBC32.DLL

ODBC DRIVER:VENDOR Oracle7

DRIVER FLAGS:NULL

DB OPEN:

USER NAME:NULL

ODBC DSN:My Oracle7

OPEN MODE:READ/WRITE

SCHEMA CACHE SIZE:8

SQLQRYMODE:NULL

LANGDRIVER:NULL

SQLPASSTHRU MODE:NULL

 Other BDE configuration topics

 ODBC configuration


System page

Use the System page to modify the settings the BDE uses to start an application. This information is stored in the Windows Registry.

Parameter lists all the system and network parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Parameter	Description

VERSION	An internal setting that describes the current version of the BDE. Do not modify.

LOCAL SHARE	The ability to share access to local data between an active BDE application and an active non-BDE application. Set to TRUE if you need to work with the same files through both a BDE and a non-BDE application at the same time. (It is not necessary to set LOCAL SHARE to TRUE if you do not need to have both applications open at the same time.)
Default: FALSE

MINBUFSIZE	Minimum amount of memory for database data cache, in kilobytes. Can be any integer between 32 and 65535. Must be less than the total amount of RAM available to Windows.
Default: 128

MAXBUFSIZE	Maximum amount of memory for database data cache, in kilobytes. Can be any integer greater than MINBUFSIZE and less than (or equal to) the total amount of RAM available to Windows. Must be a multiple of 128.
Default: 2048

LANGDRIVER	System language driver that defaults to the OEM driver appropriate for a country's version of Windows; for example, ASCII for US workstations.

MAXFILEHANDLES	Maximum number of file handles the BDE uses. Can be any integer ranging from 5 to 256. High values improve performance but use more Windows resources.
Default: 48

SYSFLAGS	Internal BDE setting. Do not modify.

LOW MEMORY

USAGE LIMIT	Maximum amount of low memory the BDE will attempt to use, in kilobytes.
Default: 32.

AUTO ODBC	Set to TRUE to pull all ODBC aliases from the ODBC.INI file.
Default: FALSE.

DEFAULT DRIVER	Driver first tried when TYPE is FILE and the table name has no extension.

SQLQRYMODE	Method for handling queries to SQL data. Can be NULL, SERVER, or LOCAL. The SQLQRYMODE parameter appears only if a Borland SQL Link driver is installed.
Default: NULL

SHAREDMEMSIZE	Maximum size allocation of the shared memory manager.
Default: 2048 Kb

SHAREDMEMLOCATION	Preferred address of shared memory manager. The shared memory manager and shared buffer manager load at a preferred address. If this address is used, the system can find a suitable address (first process only). If this address conflicts with another application, you might want to modify it.
Default: E000 (for Windows 95) or 7000 for (Windows NT)


Date page

Use the Date page to modify the settings used to convert string values into date values.

Parameter lists all the date parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Parameter	Description

SEPARATOR	Character used to separate the month, day, and year components of a date value; such as, the "/" in "12/31/96." The default is the character normally used in the country selected in the Windows Control Panel when any BDE application is installed.

MODE	Controls the order of the month, day, and year components and can be 0 (for MDY), 1 (for DMY), or 2 (YMD). The default is the order normally used in the country selected in the Windows Control Panel when any BDE application is installed.

FOURDIGITYEAR	Specifies the number of digits for the year value (four or two). If TRUE, years are expressed in four digits (such as, 1996). If FALSE, the default, years have two digits (96).

YEARBIASED	Tells Paradox whether or not it should add 1900 to years entered as two digits. For example, if TRUE and you enter "7/21/96," Paradox interprets your value as "7/21/1996", otherwise, the date is interpreted as entered (in this case, "7/21/0096").
Default: TRUE

LEADINGZEROM	Specifies whether or not single digit month values have a leading zero. For example, if you enter "1/1/80" and this is set to TRUE, Paradox interprets the date as "01/1/80." If FALSE, the value is "1/1/80."
Default: FALSE

LEADINGZEROD	Controls whether or not single digit day values have a leading zero. For example, if you enter "1/1/80" and this is set to TRUE, Paradox interprets the value as "1/01/80." If FALSE, your date is "1/1/80."
Default: FALSE


Time page

Use the Time page to modify the settings used to convert string values into time values.

Parameter lists all the time format parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Parameter	Description

TWELVEHOUR	Specifies whether or not BDE applications express time values using a twelve-hour clock. For example, if TRUE 8:21 p.m. is expressed as "08:21 PM;" if FALSE, "20:21."
Default: TRUE

AMSTRING	Character string used to indicate morning (before noon and after midnight) times, when TWELVEHOUR is TRUE.
Default: AM

PMSTRING	Character string used to indicate evening (after noon and before midnight) times, when TWELVEHOUR is TRUE.
Default: PM

SECONDS	Specifies whether or not time values include seconds. For example, if TRUE, 8:21:35 p.m. is expressed as "8:21:35 PM;" if FALSE, "8:21 PM."
Default: TRUE

MILSECONDS	Specifies whether or not time values include milliseconds. For example, if TRUE, "8:21:35:54 PM."
Default: FALSE


Number page

Use the Number page to modify the settings used to convert string values to number values.

Parameter lists all the number format parameters tracked by the Configuration Utility, with their current values. When your BDE application is first installed, all values are set to their defaults.

Description briefly notes the purpose of the selected parameter.

To change a setting, highlight the desired parameter. Then replace its old value with a new value.

Parameter	Description

DECIMALSEPARATOR	Character used to separate the decimal portion of a number from its integer portion; for example, the period (.) in 3.14.
Default: The standard decimal separator used for your country, as specified in the Windows Control Panel (International Setting).

THOUSANDSEPARATOR	Character used to separate large numbers into their "thousands" components; for example, the commas (,) in 1,000,000.00.
Default: The standard thousands separator used for your country, as specified in the Windows Control Panel (International Setting).

DECIMALDIGITS	Specifies the maximum number of decimal places to be used when converting string values to number values.
Default: 2

LEADINGZERON	Indicates whether numbers between 1 and -1 use leading zeros; for example, 0.14. instead of .14.
Default: TRUE


Drivers menu
Driver page

Paradox settings	dBASE settings	ODBC settings

Use the Driver page to modify the settings that the BDE uses to determine how an application creates, sorts, and handles tables.

Driver Name lists the types of drivers installed at your workstation. STANDARD drivers are Paradox and dBASE; other drivers are for use with SQL servers, and are installed separately.

New ODBC Driver enables you to add an ODBC driver connection to the list of available drivers.

Delete ODBC Driver enables you to delete an ODBC driver connection from the list of available drivers.

Parameters lists all the parameters tracked by the Configuration Utility for the selected driver type, and their current settings. When the driver is first installed, all values are set to their defaults.

Description briefly notes the purpose of the highlighted parameter.

To modify a setting, select the driver name and highlight the desired configuration parameters. Delete the old value and enter a new one in the appropriate text box.


Drivers|Paradox settings
Drivers: Paradox settings

To configure the way Paradox tables are created, sorted, and handled, choose Paradox as the driver name and highlight the desired configuration parameter. Delete the old value and enter a new one in the appropriate text box.

Parameter	Description

VERSION	Internal version number of the Paradox driver.

TYPE	Type of server to which this driver helps you connect. Can be SERVER (SQL server) or FILE (standard, file-based server).

NET DIR	The directory location of the Paradox network control file PDOXUSRS.NET. The active NET DIR parameter is stored in the Paradox section of the BDE configuration file and has precedence over any other NET DIR parameters that may be stored in older 16-bit configuration files, or in the System Init section of the current configuration file, or in the Registry.  These other NET DIR entries will have no effect. To access a Paradox table on a network drive, the active NETDIR parameter in the Paradox section of the BDE configuration file must point to a network drive.

LANGDRIVER	Language driver used to determine table sort order and character set. [available drivers].
US default: ASCII

LEVEL	Type of table format used to create temporary Paradox tables.

Level 7 	Paradox for Windows 32-bit tables
Level 5	Paradox 5.0 tables,
Level 4	STANDARD table format introduced in Paradox 4.0
Level 3	Compatible table format used by Paradox 3.5
and earlier versions.
Default:	Level 4.

To use Blob fields, secondary indexes, and strict referential integrity, specify either Paradox level 4 or Paradox level 5 tables. You will probably want to use the lowest level possible in order to maximize backward compatibility. Choose Level 7 only If you need the advanced indexing features supported by that table format.

BLOCK SIZE	Size of disk blocks used to store Paradox table records, in multiples of 1024 bytes. Can be any multiple of 1024 (such as, 2048, 3072, 4096) up to 32 kilobytes.
Default: 2048

FILL FACTOR	Percentage of current disk block which must be filled before Paradox will allocate another disk block for index files. Can be any integer ranging from 1 to 100.
Default: 95

Note:	Smaller values offer better performance but increase the size of indexes. Larger values give smaller index files but increase the time needed to create an index.

STRICTINTEGRTY	Specifies whether Paradox tables can be modified using applications that do not support referential integrity (such as, Paradox 4.0). For example, if TRUE you will be unable to change a table with referential integrity using Paradox 4.0; if FALSE, you can change the table, but you risk the integrity of your data.
Default: TRUE.


Drivers|dBASE settings
Drivers: dBASE settings

To configure the way dBASE tables are created, sorted, and handled, choose dBASE as the driver name and highlight the desired configuration parameter. Delete the old value and enter a new one in the appropriate text box.

Parameter	Description

VERSION	Internal version number of the dBASE driver.

TYPE	Type of server to which this driver helps you connect. Can be SERVER (SQL server) or FILE (standard, file-based server).

LANGDRIVER	Language driver used to determine table sort order and character set. [available drivers]  US.
Default: dBASE ENU cp437

LEVEL	Type of table format used to create dBASE temporary tables. Can be 5 for dBASE 5.0 table format, 4 for dBASE 4.0 table format, or 3 for dBASE III and dBASE III PLUS table formats.
Default: 5

MDX BLOCK SIZE	Size of disk blocks dBASE allocates for .MDX files, in bytes. Can be any integer that is a multiple of 512.
Default: 1024

MEMO FILE BLOCK SIZE	Size of disk blocks dBASE allocates for memo (.DBT) files, in bytes. Can be any integer that is a multiple of 512.
Default: 1024


Drivers|ODBC driver connection settings
Drivers: ODBC driver connection settings

Creating a new ODBC driver connection	Deleting an ODBC driver connection

To configure the way tables in an ODBC data source are created, sorted, and handled, choose an ODBC driver connection as the driver name and highlight the desired configuration parameter. Delete the old value and enter a new one in the appropriate text box.

Parameter	Description

VERSION	Internal version number of the ODBC driver. Do not modify.

TYPE	Uniquely identifies this ODBC driver connection. Can include any combination of 12 alphanumeric characters; the BDE Configuration Utility automatically prepends the characters "ODBC_."  For example, if the ODBC data source resides on a Sybase server whose server name is "Silver", you might name the ODBC driver connection "sysilver."  The BDE Configuration Utility converts this to "ODBC_sysilver."

DLL	The name of the driver's 16-bit Dynamic Link Library (*.DLL).
Default: IDODBC16.DLL

DLL32	The name of the driver's 32-bit Dynamic Link Library (*.DLL).
Default: IDODBC32.DLL

ODBC DRIVER	The ODBC driver used to connect the workstation to the target ODBC server.

DRIVER FLAGS	Internal product-specific flag. Do not change without direct instructions from Borland support personnel.

USER NAME	Default name for accessing the ODBC server.

ODBC DSN	The name of the ODBC data source to which this alias will connect. Must be the same as the ODBC data source you named when you created the ODBC driver connection.

OPEN MODE	Mode in which the ODBC driver connection opens the database. Can be READ/WRITE or READ ONLY.
Default: READ/WRITE

LANGDRIVER	Language driver used to determine table sort order and character set.

SCHEMA CACHE SIZE	Number of SQL tables whose schema information will be cached. Can be any whole number from 0 to 32.
Default: 8

SQLQRYMODE	Method for handling queries to SQL data. Can be NULL (blank setting), SERVER, or LOCAL. [more]
Default: NULL

SQLPASSTHRU MODE	Specifies whether or not the BDE application will be able to access the SQL server via desktop queries and passthrough SQL queries in the same database alias connection. Can be NOT SHARED, SHARED AUTOCOMMIT, or SHARED NOAUTOCOMMIT. [more]
Default: SHARED AUTOCOMMIT


Alias page

Creating a STANDARD alias	Creating an ODBC driver connection alias

Use the Alias page to perform the following operations on a STANDARD, SQL, or ODBC driver alias:

add

delete

modify

Alias Names lists all the available aliases.

New Alias enables you to add a new alias.

Delete Alias enables you to delete any alias that is highlighted in the Alias Name box.

Parameters shows all the parameters of the currently-selected alias, with their current values.

Description briefly notes the purpose of the selected parameter.


Creating a STANDARD alias

Use the Alias Page to perform the following operations on a STANDARD alias:

add

delete

modify

Alias Name lists all the available aliases.

New Alias enables you to add a new alias.

Delete Alias enables you to delete any alias that is highlighted in the Alias Name box.

Parameters shows all the parameters with their current values.

Description briefly notes the purpose of the selected parameter.

The following parameters are displayed.

Parameter	Description

TYPE	Type of server to which this driver helps you connect. Set to FILE to create a STANDARD alias.

PATH	The path to the directory containing your Paradox, dBASE, or text tables.


Creating an ODBC driver connection alias

Use the Alias Page to perform the following operations on your ODBC driver connection

add

delete

modify

Alias Name lists all the available aliases.

New Alias enables you to add a new alias.

Delete Alias enables you to delete any alias that is highlighted in the Alias Name box.

Parameters shows all the parameters with their current values.

Description briefly notes the purpose of the selected parameter.

The following parameters are displayed.

Parameter	Description

TYPE	Type of ODBC server to which this alias helps you connect. For an ODBC driver connection, this name always begins with "ODBC_."

PATH	The path to the location of your vendor-supplied ODBC driver.

USER NAME	Default name for accessing the ODBC server.

ODBC DSN	The name of the ODBC data source to which this alias will connect. Must be the same as the ODBC data source you named when you created the ODBC driver connection.

OPEN MODE	Mode in which the ODBC driver connection opens the database. Can be READ/WRITE or READ ONLY.
Default: READ/WRITE

SCHEMA CACHE SIZE	Number of SQL tables whose schema information will be cached. Can be any whole number from 0 to 32.
Default: 8

SQLQRYMODE	Method for handling queries to SQL data. Can be NULL (blank setting), SERVER, or LOCAL.
[More information]
Default: NULL

LANGDRIVER	Language driver used to display SQL data.
US. default: blank

SQLPASSTHRU MODE	Specifies whether or not the BDE application will be able to access the SQL server via desktop queries and passthrough SQL queries in the same alias connection. Can be NOT SHARED, SHARED AUTOCOMMIT, or SHARED NOAUTOCOMMIT.
[More information]
Default: SHARED AUTOCOMMIT


File | Open

Use File|Open to display the Open dialog box and select a .CFG file to view or edit.

To select a .CFG file, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, click OK to open it.

The in-memory configuration settings are merged from the Registry and the configuration file.  If there are any duplicate entries found in both the Registry and the configuration file, the configuration file has precedence.

Dialog box options

File Name

Lists the files (*.CFG or *.*) in the current directory.

List Files of Type

Shows the type of files listed in the File Name text box.

Directories

Displays the current directory.

Drives

Shows the current drive.


File | Save

Choose File|Save to save any changes made to the current configuration file.

If the current file is not the default configuration file, the Configuration Utility displays the Non-system Configuration File dialog box. If you want this file to become the new default configuration file, choose Yes in that dialog box. Choose No to leave your current default configuration file unchanged.

Where and how BDE configuration information is stored depends on whether you check the “Configure Win3.1” option in the Options menu. This causes configuration information to be saved in a composite 16-/32-bit format to provide backward compatibility with Windows 3.1 applications.  See Saving configuration information.


Default Configuration File

The configuration file used at application startup. The default configuration file is listed in the Windows Registry as CONFIGFILE01.

For example:

HKEY_LOCAL_MACHINE/ SOFTWARE/ BORLAND/

 DATABASE ENGINE/CONFIGFILE01

You can name your configuration file anything provided that:

•	it ends in ".CFG"; and

•	is no more than 255 characters long, including spaces; and

•	does not contain the characters:
 \   /   :   *   ?   "   <   >   |


File | Save As

Use File|Save As to save the current .CFG settings under a different .CFG file name. The BDE Configuration Utility displays the Save Configuration File As dialog box.

To save the current .CFG file under a new name, use the Directories and Drives boxes to navigate through your system. When you locate the directory where you want to store your .CFG file, enter the new name in the File Name box and click OK.

You can name your configuration file anything provided that:

•	it ends in ".CFG"; and

•	is no more than 255 characters long, including spaces; and

•	does not contain the characters:
 \   /   :   *   ?   "   <   >   |

To save the current .CFG file under a different name, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, highlight it, then click OK.

The Configuration Utility then displays the Overwrite Existing File dialog box. If you want to over-write the existing file (erasing any unique aliases or ODBC driver connections it may contain), click Yes. To cancel this operation, click No.

Where and how BDE configuration information is stored depends on whether you check the “Configure Win3.1” option in the Options menu. This causes configuration information to be saved in a composite 16-/32-bit format to provide backward compatibility with Windows 3.1 applications.  See Saving configuration information.

Dialog box options

File Name

Lists the files (*.CFG or *.*) in the current directory.

List Files of Type

Shows the type of files listed in the File Name text box.

Directories

Displays the current directory.

Drives

Shows the current drive.


File | Merge

Use File|Merge to merge another configuration file with the one already in use. The BDE Configuration Utility displays the Merge Parameters From dialog box.

To select the second .CFG file, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, click OK. The Configuration Utility displays the Merge Configuration Files dialog box.

To continue merging, click Yes.

To cancel the merge operation, click No.

Dialog box options

File Name

Lists the files (*.CFG or *.*) in the current directory.

List Files of Type

Shows the type of files listed in the File Name text box.

Directories

Displays the current directory.

Drives

Shows the current drive.


Merge Configuration Files dialog box

Use the Merge Configuration Files dialog box to merge with the current .CFG file. You cannot undo a merge. You may wish to first save your current configuration file under another name as a backup.

Dialog box options

Yes

To continue merging, click Yes.

No

To cancel the merge operation, click No.


Browse dialog box

Use the Browse dialog box to locate the .CFG file to merge with the current .CFG file.

To select the second .CFG file, use the Directories and Drives boxes to navigate through your system. When you locate the desired file, click OK to open it.

Dialog box options

File Name

Lists the files (*.CFG or *.*) in the current directory.

List Files of Type

Shows the type of files listed in the File Name text box.

Directories

Displays the current directory.

Drives

Shows the current drive.


File | Exit

Choose File|Exit to exit the BDE Configuration Utility. If you made changes and did not save them, a warning appears. You can save your changes or exit without saving.


Add New Alias dialog box
New Alias dialog box

Use the Add New Alias dialog box to create a new alias for your database.

To add a new alias:

1.	Type the alias name in the New Alias name text box.

2.	Change the Alias Type box to reflect the proper type for the new alias.

3.	If necessary, modify the configuration parameters on the right side of the Alias page to reflect the proper settings for this alias.

To save the new alias in the current configuration file, select File|Save.

To save the new alias in a configuration file with a different name, select File|Save As.

Dialog box options

New Alias Name

The name of the alias you are creating.

Alias Type

The type of driver the alias uses: STANDARD (Paradox or dBASE), the name of the SQL server to which the alias will attach, or the ODBC driver connection name.


Non-system configuration file dialog box

You just saved a configuration file with a different name than the .CFG file currently in use. If you want this file to become the new default configuration file you must click the Yes button in this dialog box,  This modifies the Windows Registry, changing the IDAPI CONFIGFILE01 parameter.

Dialog box options

Yes

To have the BDE Configuration Utility modify the Windows Registry for you, choose Yes. The change takes effect the next time you start your BDE application.

No

To leave the Registry unchanged, choose No.


Add New ODBC Driver dialog box
Add ODBC driver dialog box

Use the Add ODBC Driver dialog box to add an ODBC driver connection to the Drivers list. Once your ODBC driver connection appears on the Drivers list you can configure an alias for that connection. Your ODBC data source alias enables you to connect to an ODBC database through your BDE application.

To add a new ODBC driver connection:

1.	Type the name for this connection in the SQL Link Driver text box.

2.	Use the drop-down list in the Default ODBC Driver field to identify the ODBC driver for your data source.

3.	Use the drop-down list in the Default Data Source Name field to identify the target ODBC data source itself.

If you cannot find your ODBC driver or your ODBC data source name on the lists provided, they may not be installed properly. You may need to install your ODBC driver or set up your ODBC data source again. For more information click here:
  ODBC configuration

To save the new ODBC driver in the current configuration file, select File|Save.

To save the new ODBC driver in a configuration file with a different name, select File|Save As.

Dialog box options

SQL Link driver

The name you want to give to your ODBC driver connection. The new "driver" name always starts with the characters "ODBC_ ."

Default ODBC driver

The name of the ODBC driver used to connect to this ODBC data source.

Default data source name

The name of the target ODBC data source.


Delete ODBC driver dialog box

Use the Delete ODBC Driver dialog box to remove an ODBC driver connection from the Drivers list.

Highlight the ODBC driver connection you want to delete and select Delete Driver. The Configuration Utility displays the Delete Driver dialog box.

Dialog box options

Yes

Select Yes to continue deleting.

No

Select No to stop deleting.


ODBC driver connection

A connection from your BDE application to an ODBC driver. The connection requires your BDE application, a vendor-supplied ODBC driver, the Microsoft ODBC Driver page, and a BDE alias on the workstation side; an ODBC data source on the server side.

Once you create an ODBC driver connection, it appears on the list of available drivers in the BDE Configuration Utility. This enables you to set up an alias for the target ODBC data source and connect to it through your BDE application.


Overwrite existing file
Overwrite Existing File dialog box

You just tried to save new configuration information under the same name as an existing configuration file. If the existing file contains unique aliases or ODBC driver connections, they will be lost when the file is overwritten.

Dialog box options

Yes

To continue, click Yes.

No

To cancel this operation, click No.


BDECFG Error

You just directed the BDE Configuration Utility to delete a driver from your current configuration file. The only kind of driver you may delete from the drivers list is an ODBC driver connection.

To cancel this operation, click OK.


Delete Alias dialog box

You just directed the BDE Configuration Utility to delete an alias from your current configuration file.

Dialog box options

Yes

To continue deleting, click Yes.

No

If you do not want to delete the currently selected alias, click No.


Close the configuration file
Close the Configuration File dialog box

You changed the current configuration file during this session with the BDE Configuration Utility.

Dialog box options

Yes

If you want to save the changes, click Yes.

No

If you do not want to save the changes, click No.


Paradox language drivers

Description

The following table shows the language drivers you can use for Paradox tables, along with the code page for each driver.

Note:	Internal language drivers names are case-sensitive.

Driver name	Internal	Language/DOS Code Page

pxCHINESE	CHINA	Paradox China 936

pxCSKAMEN	CSKAMEN	Paradox Czech 867

pxCZECH	CZECH	Paradox Czech 852

pxGREEK	GRCP437	Paradox Greek GR437

pxHUNGARIAN	HUN852DC	Paradox Hun 852 DC

pxICELAND	ICELAND	Paradox ISL 861

pxINTL	INTL	Paradox 'intl'

pxINTL2	INTL850	Paradox 'intl' 850

pxKOREAN	KOREA	Paradox Korea 949

pxNORDAN	NORDAN	Paradox 'nordan'

pxNORDAN4	NORDAN40	Paradox 'nordan40'

pxPOLISH	POLISH	Paradox Polish 852

pxRUSSIAN	CYRR	Paradox Cyrr 866

pxSLOVENE	SLOVENE	Paradox Slovene 852

pxSPANISH	SPANISH	Paradox ESP 437

pxSWEDFIN	SWEDFIN	Paradox 'swedfin'

pxTAIWANESE	TAIWAN	Paradox Taiwan 950

pxTHAI	THAI	Paradox Thai 437

pxTURK	TURK	Paradox 'turk'

pxUS	ASCII	Paradox 'ascii'

pxwCHINESE	ANCHINA	Pdox ANSI Chinese

pxwCZECH	ANCZECH	Pdox ANSI Czech

pxwGREEK	ANGREEK1	Pdox ANSI Greek

pxwHUNGARIAN	ANHUNDC	Pdox ANSI Hun. DC

pxwINTL	ANSIINTL	Pdox ANSI Intl

pxwINTL2	ANSII850	Pdox ANSI Intl850

pxwKOREAN	ANKOREA	Pdox ANSI Korean

pxwNORDAN4	ANSINOR4	Pdox ANSI Nordan4

pxwPOLISH	ANPOLISH	Pdox ANSI Polish

pxwRUSSIAN	ANCYRR	Pdox ANSI Cyrillic

pxwSLOVENE	ANSISLOV	Pdox ANSI Slovene

pxwSPANISH	ANSISPAN	Pdox ANSI Spanish

pxwSWEDFIN	ANSISWFN	Pdox ANSI Swedfin

pxwTAIWANESE	ANTAIWAN	Pdox ANSI Taiwanese

pxwTHAI	ANTHAI	Pdox ANSI Thai

pxwTURK	ANTURK	Pdox ANSI Turkish


dBASE language drivers

Description

The following table shows the language drivers you can use for dBASE tables.

Note:	Internal language drivers names are case-sensitive.

Long name	Short name	Character set	Collation sequence

dBASE CSY cp852       	DB852CZ0	DOS CODE PAGE 852	dBASE Czech852

dBASE CSY cp867       	DB867CZ0	DOS CODE PAGE 867	dBASE Czech867

dBASE DAN cp865       	DB865DA0	DOS CODE PAGE 865	dBASE Danish

dBASE DEU cp437       	DB437DE0	DOS CODE PAGE 437	dBASE German

dBASE DEU cp850       	DB850DE0	DOS CODE PAGE 850	dBASE German850

dBASE ELL GR437       	db437gr0	DOS CODE PAGE 437	dBASE Greek

dBASE ENG cp437	DB437UK0	DOS CODE PAGE 437	dBASE English/UK

dBASE ENG cp850       	DB850UK0	DOS CODE PAGE 850	dBASE English850/UK

dBASE ENU cp437	DB437US0	DOS CODE PAGE 437	dBASE English/US

dBASE ENU cp850       	DB850US0	DOS CODE PAGE 850	dBASE English/US

dBASE ESP cp437	DB437ES1	DOS CODE PAGE 437	dBASE Spanish

dBASE ESP cp850       	DB850ES0	DOS CODE PAGE 850	dBASE Spanish850

dBASE FIN cp437       	DB437FI0	DOS CODE PAGE 437	dBASE Finnish

dBASE FRA cp437       	DB437FR0	DOS CODE PAGE 437	dBASE French

dBASE FRA cp850       	DB850FR0	DOS CODE PAGE 850	dBASE French850

dBASE FRC cp850	DB850CF0	DOS CODE PAGE 850	dBASE Canadian-French850

dBASE FRC cp863       	DB863CF1	DOS CODE PAGE 863	dBASE Canadian-French863

dBASE HUN cp852	db852hdc	DOS CODE PAGE 852	dBASE Hungarian

dBASE ITA cp437       	DB437IT0	DOS CODE PAGE 437	dBASE Italian

dBASE ITA cp850       	DB850IT1	DOS CODE PAGE 850	dBASE Italian850

dBASE NLD cp437       	DB437NL0	DOS CODE PAGE 437	dBASE Dutch

dBASE NLD cp850       	DB850NL0	DOS CODE PAGE 850	dBASE Dutch850

dBASE NOR cp865	DB865NO0	DOS CODE PAGE 865	dBASE Norwegian

dBASE PLK cp852	db852po0	DOS CODE PAGE 852	dBASE Polish852

dBASE PTB cp850       	DB850PT0	DOS CODE PAGE 850	dBASE Brazilian Portuguese 850

dBASE PTG cp860       	DB860PT0	DOS CODE PAGE 860	dBASE Brazilian Portuguese 860

dBASE RUS cp866	db866ru0	DOS CODE PAGE 866	dBASE Russian

dBASE SLO cp852	db852sl0	DOS CODE PAGE 852

dBASE SVE cp437	DB437SV0	DOS CODE PAGE 437	dBASE Swedish

dBASE SVE cp850       	DB850SV1	DOS CODE PAGE 850	dBASE Swedish850

dBASE THA cp437       	db437th0	DOS CODE PAGE 437	dBASE Thai

dBASE TRK cp857	DB857TR0	DOS CODE PAGE 857	dBASE Turkish

Hebrew dBASE	dbHebrew	dBASE Hebrew


Error dialog
BDE configuration utility error

Read the Error dialog box to determine the source of the error. If you need more help:

1.	Click the Help utility Search button.

2.	Enter the first few words of the error message you received in the Search text box.

HELP displays the name of the related help topic.

3.	Select the topic, then choose Go To.

When you are ready, select OK in the error message window and try the operation again.


SQLQRYMODE settings

  Setting	 Meaning

NULL (blank setting)	(Default mode) Query goes first to the SQL server. If the server is unable to perform the query, it is performed at the Borland desktop.
SERVER	Query is sent to the SQL server. If the server is unable to perform the query, it fails.
LOCAL	Query is always performed at the desktop.


SQLPASSTHRU MODE settings

This parameter determines whether and how passthrough SQL and standard BDE calls share the same database connections.  For transactions, this translates to whether passthrough transactions and other transactions “know” about each other.

Only applications that use passthrough SQL need be concerned with SQLPASSTHRUMODE.  If you are developing a Delphi application to control transactions with passthrough SQL, you must set SQLPASSTHRU MODE to NOT SHARED.  Otherwise passthrough SQL and Delphi’s methods may interfere with each other, leading to unpredictable results.

  Setting	 Meaning

NOT SHARED  (blank setting)	Passthrough SQL and non-passthrough SQL do NOT share the same database connection.
SHARED AUTOCOMMIT	Passthrough SQL and non-passthrough SQL will share the same connection, and (as long as you are not in an explicit client transaction or batch mode) passthrough SQL will be automatically committed.  Each operation on a single row is committed.  This mode most closely approximates desktop database behavior but it is inefficient on SQL servers because it starts and commits a new transaction for each row, resulting in a heavy load of network traffic.
SHARED NOAUTOCOMMIT	Passthrough SQL and non-passthrough SQL share the same connection, but passthrough statements will not be automatically committed.  The application must explicitly start and commit transactions. This setting could result in conflicts in busy multi-user environments where many users are updating the same rows.


Modifying an alias

To modify an alias:

1	Highlight the alias and the parameter you want to change.

2	Enter a new value in place of the old one.


Adding a new alias

To create a new alias:

1	Click the New Alias button which displays the Add New Alias dialog box. (The new alias starts with the default alias type: STANDARD.)

2	Enter a name for the new alias and select the desired alias type.


Deleting an alias

To delete an alias:

1	Highlight the alias you want to delete.

2	Click the Delete Alias button.

3	Reconfirm by clicking Yes in the Delete Alias dialog box.


Could not open the configuration file
Could not open the configuration file.

The BDE Configuration Utility was unable to open the configuration file you specified. The file may be the wrong type (not a .CFG file), or it may be corrupted.

Click OK in the BDE Configuration Utility error message screen, then try your operation again with a different configuration file.


Could not modify the configuration file
Could not modify the configuration file.

The BDE Configuration Utility was unable to overwrite your old configuration file with the changes you just made.

If you want to save the changes you made this session, click OK in the BDE Configuration Utility error message screen. Then use File|Save As to save your changes in a configuration file with a different name.


The minimum buffer size must be a number between
The minimum buffer size must be a number between 32 and 65535.

MINBUFSIZE is the minimum amount of memory for the database data cache, in kilobytes. The parameter is set on the BDE Configuration Utility's System page.

You tried to set a MINBUFSIZE that was not an integer between 32 and 65535. Click OK in the BDE Configuration Utility error message screen, then try your entry again.

Note:	Do not separate thousands with commas or periods; for example, do not write 65535 as 65,535.


The maximum buffer size must be a number between
The maximum buffer size must be a number between 32 and 65535.

MAXBUFSIZE is the maximum amount of memory for the database data cache, in kilobytes. The parameter is set on the BDE Configuration Utility's System page.

You tried to set a MAXBUFSIZE that was not an integer between 32 and 65535, was not greater than the setting for MINBUFSIZE, was not a multiple of 128, or was not less than (or equal to) the total amount of RAM available to Windows. Click OK in the BDE Configuration Utility error message screen, then try your entry again.

Note:	Do not separate thousands with commas or periods; for example, do not write 65535 as 65,535.


The minimum buffer size must not be greater than
The minimum buffer size must not be greater than the maximum buffer size.

MINBUFSIZE is the minimum amount of memory for the database data cache, in kilobytes. The parameter is set on the BDE Configuration Utility's System page.

You tried to set a MINBUFSIZE that was greater than the setting for MAXBUFSIZE (maximum buffer size). Click OK in the BDE Configuration Utility error message screen, then try your entry again.


The network control file directory must be a valid
The network control file directory must be a valid directory name.

The NET DIR setting specifies the directory where the Paradox network control file PDOXUSRS.NET is located. The parameter is set on the BDE Configuration Utility's DRIVERS/PARADOX page.

You entered a path for the PDOXUSRS.NET file that either does not exist, or does not contain the PDOXUSRS.NET file. Click OK in the BDE Configuration Utility error message screen, then try your entry again.

If necessary, use the Windows Explorer or File|Search command to locate your PDOXUSRS.NET file.

Note: The only active NET DIR parameter is stored in the Paradox section of the BDE configuration file and has precedence over any other NET DIR parameters that may be stored in older 16-bit configuration files, or in the System Init section of the current configuration file, or in the Registry.  These other NET DIR entries will have no effect. To access a Paradox table on a network drive, the active NETDIR parameter in the Paradox section of the BDE configuration file must point to a network drive.


The decimal separator and the thousands separator
The decimal separator and the thousands separator have been set to the same character.

The DECIMALSEPARATOR setting specifies the character used to separate the decimal portion of a number from its integer portion. (For example, the period in 3.14.)  The THOUSANDSEPARATOR setting specifies the character used to separate large numbers into their "thousands" components. (For example, the comma in 1,000.)  Both settings are set on the BDE Configuration Utility's Number page.

The DECIMALSEPARATOR and THOUSANDSEPARATOR should use different characters. Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Invalid configuration file format
Invalid configuration file format.

You attempted to open a file that does not use valid configuration file format. A configuration file always ends in .CFG.

Click OK in the BDE Configuration Utility error message screen, then try your operation again with a different file.


Configuration file is read-only
Configuration file is read-only.

You attempted to open a configuration file that cannot be modified through the BDE Configuration Utility.

Click OK in the BDE Configuration Utility error message screen, then try your operation again with a different file.


Error writing file
Error writing file.

The BDE Configuration Utility was unable to over-write your old configuration file with the changes you just made.

If you want to save the changes you made this session, click OK in the BDE Configuration Utility error message screen. Then use File|Save As to save your changes in a configuration file with a different name.


Invalid alias name. Please enter a valid
Invalid alias name. Please enter a valid name.

You tried to enter an alias name that used one or more illegal characters. Alias names should contain only alphanumeric characters.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Duplicate alias name. Please enter a
Duplicate alias name. Please enter a new name.

You tried to give an alias a name already in use for another alias. Every alias in a configuration file should have a unique name.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Invalid driver name. Please enter a valid
Invalid driver name. Please enter a valid name.

You tried to enter an ODBC driver connection name that used one or more illegal characters. ODBC driver connection names should contain only alphanumeric characters.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


Duplicate driver name. Please enter a
Duplicate driver name. Please enter a new name.

You tried to give an ODBC driver connection a name already in use for another ODBC driver connection. Each ODBC driver connection in a configuration file should have a unique name.

Click OK in the BDE Configuration Utility error message screen, then try your entry again.


ODBC is not installed. You cannot add
ODBC is not installed. You cannot add a driver.

The BDE Configuration Utility could not find the ODBC dynamic link library (IDODBC32.DLL).

This .DLL is commonly installed in the recommended location:

Program Files\Borland\Common Files\BDE

or in your BDE application's home directory.

Click OK in the BDE Configuration Utility error message screen, then check to see if IDODBC32.DLL is anywhere on the workstation hard disk. If you find the .DLL in a different directory other than those mentioned above, try moving it to the recommended location. Then re-start the BDE Configuration Utility and try your operation again.

If you continue to have problems, you may need to reinstall your BDE application.


Please select an ODBC driver name
Please select an ODBC driver name.

You tried to create an ODBC driver connection without specifying an ODBC driver.

Click OK in the BDE Configuration Utility error message screen, then try your operation again. Use the pull-down list in the Default ODBC Driver field to find an ODBC driver for your connection.

If you cannot find the ODBC driver you want, it might not be installed properly. For further information, see your ODBC driver documentation.


Please select an ODBC data source name
Please select an ODBC data source name.

You tried to create an ODBC driver connection without specifying an ODBC data source name.

Click OK in the BDE Configuration Utility error message screen, then try your operation again. If there is more than one possible data source for your ODBC driver, use the pull-down list in the Default Data Source Name field to find the one you want.

If you cannot find the ODBC data source you want, it might not be configured properly. For further information, see your ODBC driver documentation.


You can delete only ODBC drivers
You can delete only ODBC drivers.

You just directed the BDE Configuration Utility to delete a driver from your current configuration file. The only kind of driver you can add to or delete from the drivers list is an ODBC driver connection. This is because you do not install an ODBC driver connection independently from the BDE application, but create it through the BDE Configuration Utility itself.

To cancel this operation, click OK.


File was not merged
File was not merged.

The BDE Configuration Utility was unable to merge information from the file you specified, into your current configuration file. You may have specified a file that was not the correct format for the Configuration Utility.

Click OK in the BDE Configuration Utility error message screen, then try your operation again. Be sure to specify a file that ends in .CFG.


An error occurred while loading ODBC
An error occurred while loading ODBC.

This error could mean that ODBC32.DLL is not on the path or in the directory specified by DLLPATH. It also might mean that there was a problem reading the data source names (DSN) from ODBC. This error can probably be avoided by setting AUTO ODBC to FALSE in the SYSTEM/INIT page.


Error initializing the BDE
Error initializing BDE.

Could not find IDAPI32.DLL.  Check your dll path in the Registry.

Or, IDAPI32.DLL could not find other required BDE files.


Share must be loaded to initialize the BDE
Share must be loaded to initialize BDE with Local Share set to TRUE.

You tried to run a BDE application whose LOCAL SHARE setting was TRUE without loading the DOS SHARE utility.


Error allocating memory
Error allocating memory.

Shut down other applications or reboot to free memory resources.


Not enough memory to run BDECFG.EXE
Not enough memory to run BDECFG32.EXE.

Shut down other applications or reboot to free memory resources.


Could not load language driver DLL
Could not load Language Driver DLL.

The BLW32.DLL was not found.  Check your registry BLAPIPATH.


System configuration file not found
System configuration file not found.

Try clicking OK; the utility may find the file anyway.

If the BDE Configuration Utility is still unable to find the configuration file you specified, the file might be in the wrong directory. Check the Registry for CONFIGFILE01:

HKEY_LOCAL_MACHINE\Software\Borland\BDE\CONFIGFILE01

Also see default BDE configuration file


You have the maximum number of
You have the maximum number of drivers defined.

The maximum number of drivers permitted is 35.  You might need to delete extra drivers.


ODBC is corrupt or not installed
ODBC is corrupt or not installed correctly.

The BDE Configuration Utility could not use the ODBC dynamic link library (IDODBC32.DLL). The file is either corrupted or not installed correctly.

This .DLL is commonly installed in the recommended location:

Program Files\Borland\Common Files\BDE

or in your BDE application's home directory.

Click OK in the BDE Configuration Utility error message screen, then check to see if IDODBC32.DLL is anywhere on the workstation hard disk. If you find the .DLL in a different directory other than those mentioned above, try moving it to the recommended location. Then re-start the BDE Configuration Utility and try your operation again.

If you continue to have problems, you may need to reinstall your BDE application.


Your ODBC driver is not up-to-date
Your ODBC Driver page is not up-to-date.

Connecting from a BDE application to an ODBC data source requires your BDE application, a BDE alias, a vendor-supplied ODBC driver, and Version 2.0 or later of the Microsoft ODBC driver.

See your database administrator for assistance.